%define name clanbomber
%define version 1.02
%define release 2mdk

Summary: Clanbomber - free (GPL) Bomberman-like multiplayer game 
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.clanbomber.de/files/clanbomber-%{version}a.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: clanbomber-unforce-cxxflags.patch.bz2
Patch1: clanbomber-1.02-add-pkgdatadir.patch.bz2
Patch2: clanbomber-add-mandrake-keys.patch.bz2
Patch3: clanbomber-fix-gcc2.96-compile.patch.bz2
Patch4: clanbomber-1.02-restore-videomode.patch.bz2
Patch5: clanbomber-1.02-fix-music.patch.bz2
URL: http://www.clanbomber.de/
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: zlib-devel libhermes1-devel libclanlib1-devel libclanlib1-mikmod libmikmod-devel libclanlib1-sound

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep
%setup -q -n %{name}-%{version}a
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
perl -pi -e 's|\@datadir\@|\$(datadir)|' */Makefile.am */*/Makefile.am

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
autoconf
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="NO_XALF %{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="gnome" section="Amusement/Arcade" title="ClanBomber" \
  longtitle="%{summary}"

?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="ClanBomber" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_gamesbindir}/*
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.02-2mdk
- don't require launch_x11_clanapp
- use version 1.02a to fix an ugly memory leak
- fix music

* Fri May  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.02-1mdk
- 1.02 which is compliant with ClanLib-0.5

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.01-12mdk
- Fix menu entry for GNOME

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-11mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Feb 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-10mdk
- add 48x48 icon
- fix requires on launch_x11_clanapp

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-9mdk
- rebuild to follow new lib policy of clanlib

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-8mdk
- recompile against newest libstdc++
- against lowercased hermes and clanlib

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-7mdk
- fix compile with gcc-2.96

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-6mdk
- menu: now launches automatically the x11 target

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-5mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.01-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-3mdk
- menu entry

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-2mdk
- added patch for support for mandrake keys (use MANDRAKE_KEYS envvar)

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.01-1mdk
- first package for Linux-Mandrake

